<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Louvain Algorithm: src/linkedlist.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Louvain Algorithm
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">linkedlist.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="linkedlist_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">/*</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment"> ============================================================================</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment"> Name        : linkedlist.h</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment"> Author      : Buratto Alessandro</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment"> ============================================================================</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment"> */</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;</div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="preprocessor">#ifndef LINKEDLIST_H_</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="preprocessor">#define LINKEDLIST_H_</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;</div><div class="line"><a name="l00015"></a><span class="lineno"><a class="line" href="structnode__t.html#a1ba8b19b7e8433cc10c030bb81980a6b">   15</a></span>&#160;<span class="keyword">typedef</span> <span class="keyword">struct </span><a class="code" href="structnode__t.html">node_t</a> {<span class="keywordtype">int</span> <a class="code" href="structnode__t.html#a1ba8b19b7e8433cc10c030bb81980a6b">val</a>; <span class="keyword">struct </span><a class="code" href="structnode__t.html">node_t</a> * <a class="code" href="structnode__t.html#aca548c9bafe54ba9db19d40a7a7f1cb3">next</a>;} <a class="code" href="linkedlist_8h.html#a7856550eaf3d2ba89448e2795b8a744e">node_t</a>;</div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;</div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="keywordtype">int</span> <a class="code" href="linkedlist_8h.html#a879c25aae9dec089ed2ad5816e62337a">pop</a>(<a class="code" href="structnode__t.html">node_t</a> ** head);</div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;</div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="keywordtype">void</span> <a class="code" href="linkedlist_8h.html#ad936801435fbad28647733af6d6948b0">push</a>(<a class="code" href="structnode__t.html">node_t</a> ** head, <span class="keywordtype">int</span> <a class="code" href="structnode__t.html#a1ba8b19b7e8433cc10c030bb81980a6b">val</a>);</div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;</div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="keywordtype">int</span> <a class="code" href="linkedlist_8h.html#ac028743b107d5514d55a0c5eeefcce67">remove_index</a>(<a class="code" href="structnode__t.html">node_t</a> ** head, <span class="keywordtype">int</span> <span class="keywordtype">id</span>);</div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;</div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="keywordtype">void</span> <a class="code" href="linkedlist_8h.html#aa95fbdd677c712cdafbfed0b4cd9c2f8">clear</a>(<a class="code" href="structnode__t.html">node_t</a> * head);</div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;</div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;</div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="preprocessor">#endif </span><span class="comment">/* LINKEDLIST_H_ */</span><span class="preprocessor"></span></div><div class="ttc" id="structnode__t_html"><div class="ttname"><a href="structnode__t.html">node_t</a></div><div class="ttdef"><b>Definition:</b> linkedlist.h:15</div></div>
<div class="ttc" id="structnode__t_html_aca548c9bafe54ba9db19d40a7a7f1cb3"><div class="ttname"><a href="structnode__t.html#aca548c9bafe54ba9db19d40a7a7f1cb3">node_t::next</a></div><div class="ttdeci">struct node_t * next</div><div class="ttdef"><b>Definition:</b> linkedlist.h:15</div></div>
<div class="ttc" id="linkedlist_8h_html_a879c25aae9dec089ed2ad5816e62337a"><div class="ttname"><a href="linkedlist_8h.html#a879c25aae9dec089ed2ad5816e62337a">pop</a></div><div class="ttdeci">int pop(node_t **head)</div><div class="ttdef"><b>Definition:</b> linkedlist.c:17</div></div>
<div class="ttc" id="linkedlist_8h_html_ad936801435fbad28647733af6d6948b0"><div class="ttname"><a href="linkedlist_8h.html#ad936801435fbad28647733af6d6948b0">push</a></div><div class="ttdeci">void push(node_t **head, int val)</div><div class="ttdef"><b>Definition:</b> linkedlist.c:35</div></div>
<div class="ttc" id="linkedlist_8h_html_aa95fbdd677c712cdafbfed0b4cd9c2f8"><div class="ttname"><a href="linkedlist_8h.html#aa95fbdd677c712cdafbfed0b4cd9c2f8">clear</a></div><div class="ttdeci">void clear(node_t *head)</div><div class="ttdef"><b>Definition:</b> linkedlist.c:80</div></div>
<div class="ttc" id="structnode__t_html_a1ba8b19b7e8433cc10c030bb81980a6b"><div class="ttname"><a href="structnode__t.html#a1ba8b19b7e8433cc10c030bb81980a6b">node_t::val</a></div><div class="ttdeci">int val</div><div class="ttdef"><b>Definition:</b> linkedlist.h:15</div></div>
<div class="ttc" id="linkedlist_8h_html_ac028743b107d5514d55a0c5eeefcce67"><div class="ttname"><a href="linkedlist_8h.html#ac028743b107d5514d55a0c5eeefcce67">remove_index</a></div><div class="ttdeci">int remove_index(node_t **head, int id)</div><div class="ttdef"><b>Definition:</b> linkedlist.c:49</div></div>
<div class="ttc" id="linkedlist_8h_html_a7856550eaf3d2ba89448e2795b8a744e"><div class="ttname"><a href="linkedlist_8h.html#a7856550eaf3d2ba89448e2795b8a744e">node_t</a></div><div class="ttdeci">struct node_t node_t</div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
